From 1970a2b77d0695b30c158e5258b6ea4770e56e9e Mon Sep 17 00:00:00 2001
From: Hannes Domani <ssbssa@yahoo.de>
Date: Fri, 6 Feb 2015 13:59:29 +0100
Subject: [PATCH] zip: fix memory leaks

---
 modules/access/zip/zipstream.c | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/modules/access/zip/zipstream.c b/modules/access/zip/zipstream.c
index ac29c7a..a8c188b 100644
--- a/modules/access/zip/zipstream.c
+++ b/modules/access/zip/zipstream.c
@@ -121,6 +121,13 @@ inline static void free_all_node( node *root )
     {
         free_all_node( root->child );
         free( root->name );
+        item *media = root->media;
+        while( media )
+        {
+            item *next_media = media->next;
+            free( media );
+            media = next_media;
+        }
         node *tmp = root->next;
         free( root );
         root = tmp;
@@ -563,6 +570,7 @@ static int WriteXSPF( char **pp_buffer, vlc_array_t *p_filenames,
 
     /* Root node */
     node *playlist = new_node( psz_zip );
+    free( psz_zip );
 
     /* Encode the URI and append ZIP_SEP */
     char *psz_pathtozip;
-- 
1.9.4.msysgit.2

